org.apache.ignite.internal.client

## Interface GridClientDataMetrics

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  GridClientDataMetricsAdapter

    public interface GridClientDataMetrics
    extends Serializable

Cache metrics used to obtain statistics on cache itself or any of its entries. Cache metrics can be fetched from server either for the whole cache or for specific entry via any of the `metrics(...)` methods available on `GridClientData` API.

### Method Summary

Methods
`long` `createTime()` Gets create time of the owning entity (either cache or entry).
`int` `hits()` Gets total number of hits for the owning entity (either cache or entry).
`int` `misses()` Gets total number of misses for the owning entity (either cache or entry).
`int` `reads()` Gets total number of reads of the owning entity (either cache or entry).
`long` `readTime()` Gets last read time of the owning entity (either cache or entry).
`int` `writes()` Gets total number of writes of the owning entity (either cache or entry).
`long` `writeTime()` Gets last write time of the owning entity (either cache or entry).

### Method Detail

#### createTime

    long createTime()

Gets create time of the owning entity (either cache or entry).

Returns:
  Create time.

#### writeTime

    long writeTime()

Gets last write time of the owning entity (either cache or entry).

Returns:
  Last write time.

#### readTime

    long readTime()

Gets last read time of the owning entity (either cache or entry).

Returns:
  Last read time.

#### reads

    int reads()

Gets total number of reads of the owning entity (either cache or entry).

Returns:
  Total number of reads.

#### writes

    int writes()

Gets total number of writes of the owning entity (either cache or entry).

Returns:
  Total number of writes.

#### hits

    int hits()

Gets total number of hits for the owning entity (either cache or entry).

Returns:
  Number of hits.

#### misses

    int misses()

Gets total number of misses for the owning entity (either cache or entry).

Returns:
  Number of misses.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015